Copyright: Copyright © 1997 Particle Software
Citation: Copyright © 1997 Particle Software


Introduction
Welcome to IntraLaunch, an ActiveX control for Netscape or Internet Explorer.  IntraLaunch is primarily designed for corporate Intranets using Win32 workstations (95/NT) which need to use a web browser such as IE4 to present menus to their end users or employees. It allows HTML links to execute anything from .EXE's to associations such as .DOC's.

This help file contains a list of the public properties, methods and events that IntraLaunch uses.


Contacting
Contacting Us

Mailing Address

Particle Software

P.O. Box 471

Welland, Ont.

Canada

L3B 5R2

E-Mail

scottg@niagara.com


License
License Agreement

IntraLaunch ® - Copyright © 1997 Particle Software

All Rights Reserved

For ordering information, see the file ORDER.TXT.

License Agreement

You should carefully read the following terms and conditions before using this software.  Unless you have a different license agreement signed by the author of IntraLaunch, your use of this software you indicates your acceptance of this license agreement and warranty.

Registered/Licensed Version

Licenses to use IntraLaunch are not based on your number of servers providing IntraLaunch controls.  Because of this, you can place IntraLaunch and the required files on as many web servers as you want and embed as many HTML documents with IntraLaunch as you see necessary. A LICENSE IS REQUIRED FOR EVERY CLIENT COMPUTER THAT WILL BE USED TO VIEW ANY PAGE OR SITE WITH EMBEDDED INTRALAUNCH CONTROLS, such as the sample site in \IntraLaunch\sample\intranetmenu.html.

You are required to have one license per computer; not per person. For example, if you have a 100 workstation LAN, and you wish to build maybe an Intranet for document sharing for all 100 users or connections, you would implement a web server to store the LAN's internal Intranet web site and HTML documents. These HTML documents would contain IntraLaunch controls to conveniently execute programs such as Microsoft Word.  Each of the 100 clients/computers that access these web pages and uses IntraLaunch within these pages requires one license.

As soon as more computers are used to view the Intranet pages with IntraLaunch, more licenses are required for those clients. Therefore, each CLIENT that views these pages requires one license as  explained above.

*** SITE LICENSE: Site licenses are available, which would void the above statements, and if in effect, would adhere to different license requirements put forth by Particle Software upon time of purchase which would be agreed upon by the end user or organization.

*** WARNING: Once licensed, you can not use IntraLaunch on the Internet for public web surfers to run programs on their local machines.  For example: You can not have an embedded IntraLaunch control within your companies public web site at www.yourcompany.com.  This would make it freely available to anyone viewing your site and in turn, would be using IntraLaunch without a license, which is in violation U.S. and international copyright laws.  INTRALAUNCH IS FOR PRIVATE AND INTERNAL COMPANY USE ONLY.

Also see the FAQ & Order.txt for more information.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which IntraLaunch may be put, there is NO WARRANTY OF OPERATION OR GUARANTEE THAT  IntraLaunch will work in all environments.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program.  ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR POSSIBLE REFUND OF PURCHASE PRICE.

We reserve the right to deny order requests.

Evaluation and Registration

This is not free software.  You are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days.  If you use this software after the 30 day evaluation period a registration fee of $29 is required.  Payments must be in US dollars.  Payment must be arranged with the author through E-Mail or the web site(see Order.txt for more info).  Quantity discounts are available, as described in the section Ordering Information/Order Form. When payment is received you will be sent a registered copy of the latest version of IntraLaunch, obviously lacking the nag screen.

Unregistered use of IntraLaunch after the 30-day evaluation period is in violation of U.S. and international copyright laws.

Distribution

Provided that you verify that you are distributing the Demo/Shareware Version (has the Nag screen), you are hereby licensed to make as many copies of the Shareware version of this software and documentation as you wish; give exact copies of the original Shareware version (IntraLaunch.exe) to anyone; and distribute the Shareware version in its unmodified form via electronic means.  There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission, with one exception:  Disk Vendors approved by the Association of Shareware Professionals are permitted to redistribute IntraLaunch, subject to the conditions in this license, without specific written permission.


Image Location

Property Name:

ImageLoc

Data Type:

Variant – Read/Write

Description:

Sets whether the graphic specified in ImageSrc is located on a web server or is located through a common DOS path.

Options:

Local – Graphic is on a local drive, ImageSrc must be ‘x:\path\graphic.gif’.

Remote – Graphic is on a web server, ImageSrc must be ‘http://server.net/graphic.gif’

Null – Do not attempt to load a graphic.  Used for scripting, lets browser display graphic.

Example:

‘Remote’

Also See:

ImageSrc


Image Source

Property Name:

ImageSrc

Data Type:

Variant – Read/Write

Description:

Specifies actual graphic to display.  Support graphic formats include GIF, BMP, JPG, ICO and Metafiles.

Options:

Null – Do not attempt to load a graphic.  Used for scripting, lets browser display graphic.

Example:

‘http://intranet.company.net/graphic.bmp’

Also See:

ImageLoc


Run

Property Name:

Run

Data Type:

Variant – Read/Write

Description:

Specifies actual program to execute.  Supported programs include 16 & 32-Bit .EXE’s, LNK’s, COM’s, BAT’s,  PIF’s, and assocications.

Options:

N/A

Example:

‘g:\apps\msword\msword.exe’


Parameters

Property Name:

RunParms

Data Type:

Variant – Read/Write

Description:

Specifies parameters to pass to the executing program.

Options:

N/A

Example:

‘-d file.zip’

Also See:

Run


Default Directory

Property Name:

DefDir

Data Type:

Variant – Read/Write

Description:

Specifies the starting or default directory of executing program.

Options:

N/A

Example:

‘c:\temp’

Also See:

Run


Display

Property Name:

Display

Data Type:

Variant – Read/Write

Description:

Specifies how the window will start upon execution.  This is not always enforced, most programs take control themselves.  Consider this a suggestion for the program only.

Options:

MAX – Window starts maximized.

MIN – Window starts minimized.

HIDE – Window is hidden from both the task bar and system process list.

NORM – Window is displayed normally, as a window.

ACTIVATE – Window is simply opened, the program will decide where it goes.

Example:

‘MAX’

Also See:

Run


Use Password

Property Name:

UsePassword

Data Type:

Variant – Read/Write

Description:

Sets whether or not to prompt for a password or not.

Options:

TRUE – Use a password.

FALSE – Do not use a password.

Example:

‘TRUE’

Also See:

Password


Password
Encrypted Password

Property Name:

Password

Data Type:

Variant – Read/Write

Description:

Sets the actual password to use in its encoded or encrypted form.  This password is obtained with the included utility PwdGen.EXE.

Options:

N/A

Example:

‘190F0606080D0911’

Also See:

UsePassword


Sound

Property Name:

Sound

Data Type:

Variant – Read/Write

Description:

Sets the a sound to play upon execution of program.  WAV format only.

Options:

N/A

Example:

‘g:\sounds\wav\working.wav’

Also See:

Run


Pause

Property Name:

Pause

Data Type:

Variant – Read/Write

Description:

Will wait a set number of seconds before the program is actually executed when the graphic is clicked.

Options:

N/A

Example:

‘5’

Also See:

Run


Is URL

Property Name:

IsURL

Data Type:

Variant – Read/Write

Description:

Specifies that the ‘Run’ property is actually a URL and upon execution, will forward the browser or container to that URL.  Only useful for password protecting web pages or attaching a sound event to the opening of a web page.

Options:

TRUE – Run is a URL, do not execute.

FALSE – Run is not use a URL.

Example:

‘TRUE’

Also See:

Run

Password


ExecuteIt

Method Name:

ExecuteIt

Data Type:

N/A

Description:

Simulates a click event, allows an IntraLaunch object to be called from elsewhere such as VBScript.

Options:

N/A

Example:

<SCRIPT LANGUAGE="VBScript">

<!--Hide Script From Old Browsers

   SUB AnimatedGif()

      MainControl1.ExecuteIt

   END SUB

// -->

</SCRIPT>

Also See:

Run


Click

Event Name:

Click

Data Type:

N/A

Description:

A click event is raised by IntraLaunch when the user clicks the graphic to execute a program.

Options:

N/A

Example:

N/A